alias2Symbol {limma} | R Documentation

## Convert Gene Alias to Official Gene Symbols

### Description

Map a set of gene alias names to a set of gene symbols.

### Usage

    alias2Symbol(alias, species = "Hs")

### Arguments

`alias` | character vector of gene aliases
`species` | character string specifying the species. Possible values are `"Dm"`, `"Hs"`, `"Mm"` or `"Rn"`.

### Details

Aliases are mapped via NCBI Entrez Gene identity numbers using Bioconductor organism packages.

### Value

A character vector of gene symbols. May be longer or shorter than the original vector.

### Author(s)

Gordon Smyth

### See Also

`unwrapdups`

### Examples

    if(!require("org.Hs.eg.db")) alias2Symbol(c("PUMA","NOXA"))

[Package limma version 2.16.5 Index]